VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::vcenter::ActivationStub Class Reference

Remote stub implementation of the Activation API service. More...

Inherits vmware::vapi::vcenter::Activation.

List of all members.

## Public Member Functions
| ActivationStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Cancel (string activationId)
| Sends a request to cancel the task associated with the provided activationId .
void | Cancel (string activationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sends a request to cancel the task associated with the provided activationId .
global::System.Threading.Tasks.Task | CancelAsync (string activationId)
| Sends a request to cancel the task associated with the provided activationId .
global::System.Threading.Tasks.Task | CancelAsync (string activationId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Sends a request to cancel the task associated with the provided activationId .

## Detailed Description

Remote stub implementation of the Activation API service.

## Constructor & Destructor Documentation

vmware::vapi::vcenter::ActivationStub::ActivationStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vapi::vcenter::ActivationStub::Cancel | ( | string | activationId | ) | `[inline]`

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .

Implements vmware::vapi::vcenter::Activation.

void vmware::vapi::vcenter::ActivationStub::Cancel | ( | string | activationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::vcenter::Activation.

global::System.Threading.Tasks.Task vmware::vapi::vcenter::ActivationStub::CancelAsync | ( | string | activationId | ) | `[inline]`

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .

Implements vmware::vapi::vcenter::Activation.

global::System.Threading.Tasks.Task vmware::vapi::vcenter::ActivationStub::CancelAsync | ( | string | activationId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Sends a request to cancel the task associated with the provided activationId .

Exceptions:

  vmware.vapi.std.errors.NotFound | if a vCenter Server task with the given activationId was not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the vCenter Server task associated with the given activationId is not cancelable.
  vmware.vapi.std.errors.Unauthorized | if the user is not authorized to cancel the task.
  vmware.vapi.std.errors.Unauthenticated | if the user is not authenticated.
  vmware.vapi.std.errors.ServiceUnavailable | if the task cancelation cannot be performed due to vCenter server is unreachable or it is not properly configured.

Parameters:

  activationId | the activationId associated with a vCenter Server task to be canceled. The parameter must be an identifier for the resource type: `com.vmware.Activation` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::vcenter::Activation.

The documentation for this class was generated from the following file:

- ActivationStub.cs